# Summary

* [Installation](install.md)
  * [Linux](install.md)
    * [From Package](install.md#from-package)
    * [From Source](install.md#from-source)
  * [MacOS](macos.md#installation)
* [Configuration](configure.md)age)
  * [oidc-agent Directory](configure.md#oidc-agent-directory)
    * [Set Default Account for a Provider](configure.md#default-account-configuration-for-a-provider)
  * [oidc-agent Integration](configure.md#oidc-agent-integration)
    * [Xsession Integration](configure.md#xsession-integration)
    * [Persisting oidc-agent Through ```.bashrc```](configure.md#persisting-oidc-agent-through-bashrc)
  * [Agent Forwarding](configure.md#agent-forwarding)
  * [Other Configuration](configure.md#other-configuration)
* [Usage](user.md)
  * [oidc-agent](oidc-agent.md)
    * [Starting ```oidc-agent```](oidc-agent.md#starting-oidc-agent)
    * [General Usage](oidc-agent.md#general-usage)
    * [Detailed Information About All Options](oidc-agent.md#detailed-information-about-all-options)
  * [oidc-gen](oidc-gen.md)
    * [General Usage](oidc-gen.md#general-usage)
      * [Client Registration](oidc-gen.md#client-registration)
      * [Edit Existing Account Configuration](oidc-gen.md#edit-an-existing-account-configuration)
    * [Detailed Information About All Options](oidc-gen.md#detailed-information-about-all-options)
    * [Help For Different Providers](provider.md)
      * [How to Get an Account Configuration With ...](provider.md#how-to-get-an-account-configuration-with)
        * [B2Access](provider.md#b2access)
        <!-- * [EduTeams](provider.md#eduteams) -->
        * [EGI](provider.md#egi-check-in)
        * [Elixir](provider.md#elixir)
        * [Google](provider.md#google)
        * [HBP](provider.md#human-brain-project-hbp)
        * [HDF](provider.md#helmholtz-data-federation-hdf)
        * [IAM (INDIGO/DEEP)](provider.md#iam-indigodeep)
        * [KIT](provider.md#kit)
        * [Any Other Provider](provider.md#a-provider-not-listed)
      * [Client Configuration Values (Manual Client Registration)](provider.md#client-configuration-values)
        * [Scope](provider.md#scope)
        * [Redirect Uri](provider.md#redirect-uri)
        * [Response Type](provider.md#response-type)
        * [Grant Type](provider.md#grant-type)
  * [oidc-add](oidc-add.md)
    * [General Usage](oidc-add.md#general-usage)
    * [Detailed Information About All Options](oidc-add.md#detailed-information-about-all-options)
  * [oidc-token](oidc-token.md)
    * [General Usage](oidc-token.md#general-usage)
    * [Detailed Information About All Options](oidc-token.md#detailed-information-about-all-options)
  * [Other Applications Using ```oidc-agent```](oidc-token.md#other-agent-clients)
  * [Tips](tips.md)
* [MAC OS](macos.md)
  * [State of Feature Support](macos.md#state-of-feature-support)
  * [Installation](macos.md#installation)
* [Security](security.md)
  * [Privilege Separation & Architecture](security.md#privilege-separation--architecture)
  * [Account Configuration Files](security.md#account-configuration-files)
  * [Credentials](security.md#credentials)
  * [Memory](security.md#memory)
  * [Agent Locking](security.md#agent-locking)
  * [Communication](security.md#communication)
  * [Encryption Passwords](security.md#encryption-passwords)
  * [Autounload (Lifetime)](security.md#autounload-lifetime)
  * [User Confirmation](security.md#user-confirmation)
  * [Tracing](security.md#tracing)
  * [```seccomp```](security.md#seccomp)
  * [Final Note](security.md#final-note)
* [API](api.md)
  * [liboidc-agent3](api-c.md)
  * [liboidcagent-go](api-go.md)
  * [liboidcagent-py](api-py.md)
  * [IPC-API](api-ipc.md)
